{% macro actions(entity, links = {}, show_text = true) %}
  <ul class="menu simple">
    {% if links.list is defined and links.list %}
      <li>
        <a href="{{ path('group')}}" title="{{ 'group.action.list'|trans }}">
          <i class="fa fa-list"></i>
          {% if show_text %}<span>{{ 'group.action.list'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}

    {% if links.create is defined and links.create %}
      <li>
        <a href="{{ path('group_create')}}" title="{{ 'group.action.create'|trans }}">
          <i class="fa fa-plus"></i>
          {% if show_text %}<span>{{ 'group.action.create'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}

    {% if links.read is defined and links.read %}
      <li>
        <a href="{{ path('group_read', {'id': entity.id})}}" title="{{ 'group.action.read'|trans }}">
          <i class="fa fa-eye"></i>
          {% if show_text %}<span>{{ 'group.action.read'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}

    {% if links.update is defined and links.update %}
      <li>
        <a href="{{ path('group_update', {'id': entity.id})}}" title="{{ 'group.action.update'|trans }}">
          <i class="fa fa-pencil"></i>
          {% if show_text %}<span>{{ 'group.action.update'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}

    {% if links.delete is defined and links.delete %}
      <li>
        <a href="{{ path('group_delete', {'id': entity.id})}}" title="{{ 'group.action.delete'|trans }}">
          <i class="fa fa-trash"></i>
          {% if show_text %}<span>{{ 'group.action.delete'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}
  </ul>
{% endmacro %}

{% macro breadcrumbs(entity, state) %}
  <nav role="navigation">
    <ul class="breadcrumbs">
      <li><a href="{{ path('group') }}">{{ 'group.action.list'|trans }}</a></li>
      {% if state == 'create' %}
        <li>{{ 'group.action.create'|trans }}</li>
      {% endif %}
      {% if state == 'read' %}
        <li>{{ 'group.action.read'|trans }}</li>
      {% endif %}
      {% if state == 'update' %}
        <li><a href="{{ path('group_read', {'id': entity.id}) }}">{{ 'group.action.read'|trans }}</a></li>
        <li>{{ 'group.action.update'|trans }}</li>
      {% endif %}
      {% if state == 'delete' %}
        <li><a href="{{ path('group_read', {'id': entity.id}) }}">{{ 'group.action.read'|trans }}</a></li>
        <li>{{ 'group.action.delete'|trans }}</li>
      {% endif %}
    </ul>
  </nav>
{% endmacro %}